# Neural Pipeline Search Examples

1. Navigate to [basic_usage](basic_usage) for demonstrations on fundamental usage. Learn how to perform Hyperparameter Optimization (HPO), Neural Architecture Search (NAS), and Joint Architecture and Hyperparameter Search (JAHS). Understand how to analyze runs on a basic level, emphasizing that no neural network training is involved at this stage; the search is performed on functions to introduce NePS.

2. Navigate to [efficiency](efficiency) examples showcasing how to enhance efficiency in NePS. Learn about expert priors, multi-fidelity, and parallelization to streamline your pipeline and optimize search processes.

3. Navigate to [convenience](convenience) for examples highlighting utilities that add extra features to NePS. Discover tensorboard compatibility and its integration, explore the compatibility with PyTorch Lightning, and understand file management within the run pipeline function used in NePS.

4. Navigate to into [experimental](experimental) examples tailored for NePS contributors. These examples provide insights and practices for experimental scenarios.

5. Navigate to [template](template) to find a basic fill-in template to kickstart your hyperparameter search with NePS. Use this template as a foundation for your projects, saving time and ensuring a structured starting point.
